//////////////////////////////////////////////////
// EASIM project
// easim.draw.Node
// 6/7/2007 3:03 PM
// Cong Liu
// gzcong@gmail.com

// Copyright (C) 2007
// All rights reserved.
// Refer to LICENSE of JIST (Java In Simulation Time) for terms and conditions of use.

package easim.draw;

public class Node implements jist.runtime.JistAPI.DoNotRewrite
{
	public int x;
	public int y;
	public int size;
	public String id;
	public String label;
	public String lineStyle;
	public int thickness = 1;

	public int hashCode() {
		return this.id.hashCode();
	}

	public boolean equals(Object object) {
		Node node = (Node)object;
		return this.id.equals(node.id);
	}

	public int getX() {
		return this.x;
	}

	public void setX(int x) {
		this.x = x;
	}

	public int getY() {
		return this.y;
	}

	public void setY(int y) {
		this.y = y;
	}

	public int getSize() {
		return this.size;
	}

	public void setSize(int size) {
		this.size = size;
	}

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getLabel() {
		return this.label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getLineStyle() {
		return this.lineStyle;
	}

	public void setLineStyle(String lineStyle) {
		this.lineStyle = lineStyle;
	}

	public int getThickness() {
		return this.thickness;
	}

	public void setThickness(int thickness) {
		this.thickness = thickness;
	}

	public String toString() {
		return this.id + " " + this.label + " " + this.size + " " + this.x + " " + this.y + this.thickness;
	}

}
