//////////////////////////////////////////////////
// EASIM project
// easim.net.FieldInterface
// 2007/6/6 12:56
// Cong Liu
// gzcong@gmail.com

// Copyright (C) 2007
// All rights reserved.
// Refer to LICENSE of JIST (Java In Simulation Time) for terms and conditions of use.

package easim.net;

import jist.swans.misc.Message;

public interface FieldInterface extends jist.runtime.JistAPI.DoNotRewrite
{

  //////////////////////////
  // Field configurations
  //

  public static int FIELD_SIZE = 999; 
  // transmission range = 100m
  public static double SENSITIVITY_LIMIT = -65.1; // (units: dBm)

  //////////////////////////
  // Field static methods
  /*/

  public static void add(Node node, float x, float y);
  public static void move(Node node, float x, float y);
  public static void delete(Node node);
  public static int[] getNeighborIds(float x, float y);

  /**/

}
