//////////////////////////////////////////////////
// EASIM project
// easim.net.NodeInterface
// 2007/6/6 12:56
// Cong Liu
// gzcong@gmail.com

// Copyright (C) 2007
// All rights reserved.
// Refer to LICENSE of JIST (Java In Simulation Time) for terms and conditions of use.

package easim.net;

import jist.swans.misc.Message;
import jist.runtime.JistAPI.DoNotRewrite;

public interface NodeInterface extends DoNotRewrite
{

  // constants
  public static final int ADDRESS_ANY = -1;
  public static final int THRESHOLD_FRAGMENT = 2048; // not used

  // methods
  public void receive(Message msg, int srcId, int dstId);
  public void send(Message msg, int dstId);
  public int getId();
  public float getX();
  public float getY();
  public void pump(int queueSize, boolean macBusy);

}
